import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * An ActionListener that responds to timer events by incrementing a Counter
 * and printing the new value.
 * @version 2, Feb 2
 * @since version 2
 */
public class CounterIncrementer implements ActionListener
{
    private Counter myCounter;
    /**
     * Constructor for objects of class CounterIncrementer.
     * @param the Counter to increment
     * @since version 2
     */
    public CounterIncrementer(Counter myCounter)
    {
        // initialise instance variables
        this.myCounter = myCounter;
    }

    /**
     * Respond to a timer event by incrementing and displaying the counter.
     * 
     * @since version 2
     */
    public void actionPerformed (ActionEvent e)
    {
        this.myCounter.increment();
        System.out.println ("Counter is " + this.myCounter.getCurrent());
    }
}
