import javax.swing.JOptionPane;
import javax.swing.Timer;

/**
 * Create two Counters with associated Timers, and a "quit" dialog box so we can
 * end the program a little more neatly.
 * In this version, Testbed no longer knows what it takes to increment a Counter;
 * it is assumed that each Counter will provide an incrementer for itself.
 * @since version 3, Feb 2
 * @version 4, Feb 2
 */
public class Testbed
{
    public static void test ()
    {
        Counter a = new Counter ();
        Counter b = new Counter ();
        Timer timerA = new Timer(1000, a.getIncrementer());
        Timer timerB = new Timer(2000, b.getIncrementer());
        timerB.start();
        timerA.start();
        JOptionPane.showMessageDialog(null, "Quit?");
        System.exit(0);
    }
}
